Summary:	Desktop full text search tool with a Qt gui
Name:           recoll
Version:        1.12.0
Release:        %mkrel 1
License:	GPLv2+
Group:          Databases
URL:            http://www.recoll.org/
Source0:	http://www.lesbonscomptes.com/recoll/%{name}-%{version}.tar.bz2
Patch1:		recoll-1.12.0-optflags.patch
BuildRequires:	libxapian-devel >= 1.0.5
BuildRequires:	libfam-devel
BuildRequires:	libqt4-devel
BuildRequires:	libaspell-devel
Requires:	xapian-core
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Recoll is a personal full text search tool for Unix/Linux.
It is based on the very strong Xapian backend, for which 
it provides an easy to use, feature-rich, easy administration, 
QT graphical interface.

%prep
%setup -q
%patch1 -p1

%build
%configure2_5x \
	--with-fam \
	--with-aspell \
	--with-inotify

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc %{_datadir}/%{name}/doc
%attr(755,root,root) %{_bindir}/%{name}*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/examples
%dir %{_datadir}/%{name}/filters
%dir %{_datadir}/%{name}/images
%dir %{_datadir}/%{name}/translations
%{_datadir}/%{name}/examples/mime*
%{_datadir}/%{name}/examples/*.conf
%{_datadir}/%{name}/examples/fields
%attr(755,root,root) %{_datadir}/%{name}/examples/rclmon.sh
%attr(755,root,root) %{_datadir}/%{name}/filters/rc*
%attr(755,root,root) %{_datadir}/%{name}/filters/xdg-open
%{_datadir}/%{name}/images/*png
%{_mandir}/man1/recoll*
%{_mandir}/man5/recoll*
%{_datadir}/%{name}/translations/*.qm


%changelog
* Sat Mar 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.12.0-1mdv2009.1
+ Revision: 355042
- update to new verion 1.12.0
- rediff patch 1

* Sat Jan 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.11.4-1mdv2009.1
+ Revision: 328110
- update to new version 1.11.4
- patch 0 is not needed anymore

* Tue Nov 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.11.0-2mdv2009.1
+ Revision: 302254
- rebuild

* Mon Oct 27 2008 Funda Wang <fundawang@mandriva.org> 1.11.0-1mdv2009.1
+ Revision: 297526
- New version 1.11.0
- use ldflags

* Sun Sep 14 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.10.6-1mdv2009.0
+ Revision: 284722
- update to new version 1.10.6

* Tue Sep 02 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.10.5-1mdv2009.0
+ Revision: 279351
- Patch0: fix compiling with gcc43
- build against Qt4 toolkit
- update to new version 1.10.5

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.10.2-2mdv2009.0
+ Revision: 269200
- rebuild early 2009.0 package (before pixel changes)

* Thu May 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.10.2-1mdv2009.0
+ Revision: 212878
- update to new version 1.10.2

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Wed Jan 30 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.10.1-1mdv2008.1
+ Revision: 160313
- new release 1.10.1

* Sun Dec 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.10.0-2mdv2008.1
+ Revision: 139585
- fix summary
- rebuild against xapain-core

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.10.0-1mdv2008.1
+ Revision: 111077
- new version
- new license policy

* Sat Sep 15 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.0-1mdv2008.1
+ Revision: 85844
- new version
- drop X-MandrivaLinux

* Thu Jun 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.8.2-3mdv2008.0
+ Revision: 39708
- rebuild for xapian

* Sun May 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.8.2-2mdv2008.0
+ Revision: 31826
- fix build on x86_64
- new version
- drop P1 and P2 (merged upstream)
- set correct bits on one script

* Sat May 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.8.1-2mdv2008.0
+ Revision: 28474
- provide P2, now recoll should compile against new xapian
- rebuild against new xapian

* Fri Apr 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.8.1-1mdv2008.0
+ Revision: 16093
- new version
- drop P0


* Tue Mar 06 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.5-2mdv2007.0
+ Revision: 134128
- rebuild

* Tue Jan 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.5-1mdv2007.1
+ Revision: 115423
- add patch 1 - fix build on x86_64
- add patch 0 - fix menu entry
- fix group
- add buildrequires
- set correct bits on files
- Import recoll

